GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::rates::weak::IsotopeGrid Struct Reference

Regular 3D grid and payloads for a single isotope (A,Z). More...

`#include <weak_types.h>`

## Public Attributes
std::vector< double > | t9_axis
| Unique sorted T9 grid.
std::vector< double > | rhoYe_axis
| Unique sorted log10(rho*Ye) grid.
std::vector< double > | mue_axis
| Unique sorted mu_e grid.
std::vector< WeakRatePayload > | data
| Payloads at each grid node.

## Detailed Description

Regular 3D grid and payloads for a single isotope (A,Z).

Axes are monotonically increasing per dimension. Data vector is laid out in row-major order with index computed as: index = ((i_t9 * rhoYe_axis.size() + j_rhoYe) * mue_axis.size()) + k_mue

## Member Data Documentation

## ◆ data

std::vector<WeakRatePayload> gridfire::rates::weak::IsotopeGrid::data

Payloads at each grid node.

## ◆ mue_axis

std::vector<double> gridfire::rates::weak::IsotopeGrid::mue_axis

Unique sorted mu_e grid.

## ◆ rhoYe_axis

std::vector<double> gridfire::rates::weak::IsotopeGrid::rhoYe_axis

Unique sorted log10(rho*Ye) grid.

## ◆ t9_axis

std::vector<double> gridfire::rates::weak::IsotopeGrid::t9_axis

Unique sorted T9 grid.

The documentation for this struct was generated from the following file:

- src/include/gridfire/reaction/weak/weak_types.h